Freeciv-3.3: fc_settings Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
fc_settings Struct Reference

`#include <fc_client.h>`

## Data Fields

float | chat_fwidth
float | chat_fheight
float | chat_fx_pos
float | chat_fy_pos
int | player_repo_sort_col
bool | show_new_turn_text
bool | show_battle_log
Qt::SortOrder | player_report_sort
int | city_repo_sort_col
Qt::SortOrder | city_report_sort
QByteArray | city_geometry
QByteArray | city_splitter1
QByteArray | city_splitter2
QByteArray | city_splitter3
QByteArray | help_geometry
QByteArray | help_splitter1
QByteArray | options_client_geometry
QByteArray | options_server_geometry
float | unit_info_pos_fx
float | unit_info_pos_fy
float | minimap_x
float | minimap_y
float | minimap_width
float | minimap_height
float | battlelog_scale
float | battlelog_x
float | battlelog_y

## Detailed Description

Definition at line 121 of file fc_client.h.

## Field Documentation

## ◆ battlelog_scale

float fc_settings::battlelog_scale

Definition at line 147 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ battlelog_x

float fc_settings::battlelog_x

Definition at line 148 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ battlelog_y

float fc_settings::battlelog_y

Definition at line 149 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ chat_fheight

float fc_settings::chat_fheight

Definition at line 124 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ chat_fwidth

float fc_settings::chat_fwidth

Definition at line 123 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ chat_fx_pos

float fc_settings::chat_fx_pos

Definition at line 125 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ chat_fy_pos

float fc_settings::chat_fy_pos

Definition at line 126 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ city_geometry

QByteArray fc_settings::city_geometry

Definition at line 133 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ city_repo_sort_col

int fc_settings::city_repo_sort_col

Definition at line 131 of file fc_client.h.

Referenced by fc_client::read_settings().

## ◆ city_report_sort

Qt::SortOrder fc_settings::city_report_sort

Definition at line 132 of file fc_client.h.

## ◆ city_splitter1

QByteArray fc_settings::city_splitter1

Definition at line 134 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ city_splitter2

QByteArray fc_settings::city_splitter2

Definition at line 135 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ city_splitter3

QByteArray fc_settings::city_splitter3

Definition at line 136 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ help_geometry

QByteArray fc_settings::help_geometry

Definition at line 137 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ help_splitter1

QByteArray fc_settings::help_splitter1

Definition at line 138 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ minimap_height

float fc_settings::minimap_height

Definition at line 146 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ minimap_width

float fc_settings::minimap_width

Definition at line 145 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ minimap_x

float fc_settings::minimap_x

Definition at line 143 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ minimap_y

float fc_settings::minimap_y

Definition at line 144 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ options_client_geometry

QByteArray fc_settings::options_client_geometry

Definition at line 139 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ options_server_geometry

QByteArray fc_settings::options_server_geometry

Definition at line 140 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ player_repo_sort_col

int fc_settings::player_repo_sort_col

Definition at line 127 of file fc_client.h.

Referenced by fc_client::read_settings().

## ◆ player_report_sort

Qt::SortOrder fc_settings::player_report_sort

Definition at line 130 of file fc_client.h.

## ◆ show_battle_log

bool fc_settings::show_battle_log

Definition at line 129 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ show_new_turn_text

bool fc_settings::show_new_turn_text

Definition at line 128 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ unit_info_pos_fx

float fc_settings::unit_info_pos_fx

Definition at line 141 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().

## ◆ unit_info_pos_fy

float fc_settings::unit_info_pos_fy

Definition at line 142 of file fc_client.h.

Referenced by fc_client::read_settings(), and fc_client::write_settings().